/*
 * FixedLengthRecordFieldConfigTest.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess.flat.fixed;

import jp.co.cybec.cb3.accessor.fileaccess.flat.fixed.FixedLengthRecordFieldConfig;
import junit.framework.Assert;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;

/**
 * {@link FixedLengthRecordFieldConfig} のテストケース。
 * @author Sufang Gou
 */

public class FixedLengthRecordFieldConfigTest {
	FixedLengthRecordFieldConfig fixedConfig = null;

	/**
	 * @throws Exception
	 */
	@Before
	public void setUp() throws Exception {
		fixedConfig = new FixedLengthRecordFieldConfig();
	}

	/**
	 * @throws Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getName()} のためのテスト・メソッド。
	 * 正しくフィールド名が取得できることを確認する。
	 */
	@Test
	public void testGetName() {
		fixedConfig.setName("id");
		Assert.assertEquals("id",fixedConfig.getName());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setName(String)} のためのテスト・メソッド。
	 * 正しくフィールド名が設定できることを確認する。
	 */
	@Test
	public void testSetName() {
		fixedConfig.setName("id01");
		Assert.assertEquals("id01",fixedConfig.getName());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getPattern()} のためのテスト・メソッド。
	 * 正しくパターンが取得できることを確認する。
	 */
	@Test
	public void testGetPattern() {
		fixedConfig.setPattern("id01");
		Assert.assertEquals("id01",fixedConfig.getPattern());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setPattern(String)} のためのテスト・メソッド。
	 * 正しくパターンが設定できることを確認する。
	 */
	@Test
	public void testSetPattern() {
		fixedConfig.setPattern("id01");
		Assert.assertEquals("id01",fixedConfig.getPattern());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getPatternClass()} のためのテスト・メソッド。
	 * 正しくパターンクラスが取得できることを確認する。
	 */
	@Test
	public void testGetPatternClass() {
		fixedConfig.setPatternClass("id01");
		Assert.assertEquals("id01",fixedConfig.getPatternClass());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setPatternClass(String)} のためのテスト・メソッド。
	 * 正しくパターンクラスが設定できることを確認する。
	 */
	@Test
	public void testSetPatternClass() {
		fixedConfig.setPatternClass("id01");
		Assert.assertEquals("id01",fixedConfig.getPatternClass());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getPatternClass()} のためのテスト・メソッド。
	 * 正しくフィールド値のバイト数が取得できることを確認する。
	 */
	@Test
	public void testGetLength() {
		fixedConfig.setLength("10");
		Assert.assertEquals("10",fixedConfig.getLength());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setPatternClass(String)} のためのテスト・メソッド。
	 * 正しくフィールド値のバイト数が設定できることを確認する。
	 */
	@Test
	public void testSetLength() {
		fixedConfig.setLength("10");
		Assert.assertEquals("10",fixedConfig.getLength());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getAlign()} のためのテスト・メソッド。
	 * 正しくアラインメント指定子(左寄せ・右寄せ)が取得できることを確認する。
	 */
	@Test
	public void testGetAlign() {
		fixedConfig.setAlign("id01");
		Assert.assertEquals("id01",fixedConfig.getAlign());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setAlign(String)} のためのテスト・メソッド。
	 * 正しくアラインメント指定子(左寄せ・右寄せ)が設定できることを確認する。
	 */
	@Test
	public void testSetAlign() {
		fixedConfig.setAlign("id01");
		Assert.assertEquals("id01",fixedConfig.getAlign());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getPadding()} のためのテスト・メソッド。
	 * 正しくパディング文字が取得できることを確認する。
	 */
	@Test
	public void testGetPadding() {
		fixedConfig.setPadding("id01");
		Assert.assertEquals("id01",fixedConfig.getPadding());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setPadding(String)} のためのテスト・メソッド。
	 * 正しくパディング文字が設定できることを確認する。
	 */
	@Test
	public void testSetPadding() {
		fixedConfig.setPadding("id01");
		Assert.assertEquals("id01",fixedConfig.getPadding());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#getType()} のためのテスト・メソッド。
	 * 正しくパターンタイプが取得できることを確認する。
	 */
	@Test
	public void testGetType() {
		fixedConfig.setType("123");
		Assert.assertEquals("123",fixedConfig.getType());
	}

	/**
	 * {@link FixedLengthRecordFieldConfig#setType(String)} のためのテスト・メソッド。
	 * 正しくパターンタイプが設定できることを確認する。
	 */
	@Test
	public void testSetType() {
		fixedConfig.setType("123");
		Assert.assertEquals("123",fixedConfig.getType());
	}
}
